summaryrefslogtreecommitdiffstats
path: root/compass-deck/bin/chef/clean_nodes.sh
diff options
context:
space:
mode:
Diffstat (limited to 'compass-deck/bin/chef/clean_nodes.sh')
-rwxr-xr-xcompass-deck/bin/chef/clean_nodes.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/compass-deck/bin/chef/clean_nodes.sh b/compass-deck/bin/chef/clean_nodes.sh
new file mode 100755
index 0000000..8224b82
--- /dev/null
+++ b/compass-deck/bin/chef/clean_nodes.sh
@@ -0,0 +1,6 @@
+#!/bin/bash
+echo "clean chef nodes"
+yes | knife node bulk delete '.*'
+if [[ "$?" != "0" ]]; then
+ echo "failed to clean all nodes"
+fi